setunion

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
setunion
Complete List of ArrayFire Functions ArrayFire Functions by Category » Vector Algorithms » | Set operations

Find union of two inputs. More...

## Functions
AFAPI array | setUnion (const array &first, const array &second, const bool is_unique=false)
| C++ Interface for performing union of two arrays. More...
AFAPI af_err | af_set_union (af_array *out, const af_array first, const af_array second, const bool is_unique)
| C Interface for performing union of two arrays. More...
AFAPI array | setunion (const array &first, const array &second, const bool is_unique=false)
| C++ Interface for performing union of two arrays. More...

## Detailed Description

Find union of two inputs.

## Function Documentation

AFAPI af_err af_set_union | ( | af_array * | out,
|  | const af_array | first,
|  | const af_array | second,
|  | const bool | is_unique
| ) |  |

C Interface for performing union of two arrays.

Parameters

  [out] | out | will contain the union of `first` and `second`
  [in] | first | is the first array
  [in] | second | is the second array
  [in] | is_unique | if true, skips calling unique internally

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::setunion | ( | const array & | first,
|  | const array & | second,
|  | const bool | is_unique = `false`
| ) |  |

C++ Interface for performing union of two arrays.

Parameters

  [in] | first | is the first array
  [in] | second | is the second array
  [in] | is_unique | if true, skips calling unique internally

Returns
  the union of `first` and `second`

Deprecated:
  Use setUnion instead

AFAPI array af::setUnion | ( | const array & | first,
|  | const array & | second,
|  | const bool | is_unique = `false`
| ) |  |

C++ Interface for performing union of two arrays.

Parameters

  [in] | first | is the first array
  [in] | second | is the second array
  [in] | is_unique | if true, skips calling unique internally

Returns
  the union of `first` and `second`